diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py b/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py
index 05763e144..193e93e38 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/__init__.py
@@ -621,10 +621,10 @@ class ResourceGroupView(NodeView):
 
             cpu_rate_limit_flag = False
             dirty_rate_limit_flag = False
-            if 'cpu_rate_limit' in data and data['cpu_rate_limit'] > 0:
+            if 'cpu_rate_limit' in data and data['cpu_rate_limit'] >= 0:
                 cpu_rate_limit_flag = True
 
-            if 'dirty_rate_limit' in data and data['dirty_rate_limit'] > 0:
+            if 'dirty_rate_limit' in data and data['dirty_rate_limit'] >= 0:
                 dirty_rate_limit_flag = True
 
             if cpu_rate_limit_flag or dirty_rate_limit_flag:
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_name.msql b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_name.msql
new file mode 100644
index 000000000..94897d42d
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_name.msql
@@ -0,0 +1 @@
+ALTER RESOURCE GROUP "Rg1_$%{}[]()&*^!@""'`\/#" RENAME TO "Rg2_$%{}[]()&*^!@""'`\/#";
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_options.msql b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_options.msql
new file mode 100644
index 000000000..7f64f405c
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_options.msql
@@ -0,0 +1,2 @@
+ALTER RESOURCE GROUP "Rg2_$%{}[]()&*^!@""'`\/#"
+    SET cpu_rate_limit = 1, dirty_rate_limit = 5;
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/create_resource_group.msql b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/create_resource_group.msql
new file mode 100644
index 000000000..afa38b95e
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/create_resource_group.msql
@@ -0,0 +1,5 @@
+CREATE RESOURCE GROUP "Rg1_$%{}[]()&*^!@""'`\/#";
+
+-- Following query will be executed in a separate transaction
+ALTER RESOURCE GROUP "Rg1_$%{}[]()&*^!@""'`\/#"
+    SET cpu_rate_limit = 0, dirty_rate_limit = 0;
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/test.json b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/test.json
index 473331b6e..ebb4d72cd 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/test.json
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/test.json
@@ -5,33 +5,39 @@
       "name": "Create Resource groups",
       "endpoint": "NODE-resource_group.obj",
       "sql_endpoint": "NODE-resource_group.sql_id",
+      "msql_endpoint": "NODE-resource_group.msql",
       "data": {
           "name": "Rg1_$%{}[]()&*^!@\"'`\\/#",
           "cpu_rate_limit": 0,
           "dirty_rate_limit": 0
       },
-      "expected_sql_file": "create_resource_group.sql"
+      "expected_sql_file": "create_resource_group.sql",
+      "expected_msql_file": "create_resource_group.msql"
     },
     {
       "type": "alter",
       "name": "Alter Resource groups name",
       "endpoint": "NODE-resource_group.obj_id",
       "sql_endpoint": "NODE-resource_group.sql_id",
+      "msql_endpoint": "NODE-resource_group.msql_id",
       "data": {
         "name": "Rg2_$%{}[]()&*^!@\"'`\\/#"
       },
-      "expected_sql_file": "alter_resource_group_name.sql"
+      "expected_sql_file": "alter_resource_group_name.sql",
+      "expected_msql_file": "alter_resource_group_name.msql"
     },
     {
       "type": "alter",
       "name": "Alter Resource groups options",
       "endpoint": "NODE-resource_group.obj_id",
       "sql_endpoint": "NODE-resource_group.sql_id",
+      "msql_endpoint": "NODE-resource_group.msql_id",
       "data": {
         "cpu_rate_limit": 1,
         "dirty_rate_limit": 5
       },
-      "expected_sql_file": "alter_resource_group_options.sql"
+      "expected_sql_file": "alter_resource_group_options.sql",
+      "expected_msql_file": "alter_resource_group_options.msql"
     },
     {
       "type": "delete",
